The Customs Tariff Number object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

tariff_number string required
description string
The Customs Tariff Number object
{
  "id": "customs-tariff-number_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "tariff_number": "tariff_number_example",
  "description": "description_example"
}
GET /api/stock/customs-tariff-number/{id}

Retrieve a customs tariff number

Retrieves the details of an existing customs tariff number. Supply the unique customs tariff number ID that was returned from a previous request.

Path parameters

id string required

The identifier of the customs tariff number to retrieve.

Returns

Returns the customs tariff number object if a valid identifier was provided.

GET /api/stock/customs-tariff-number/{id}
curl https://api.overplane.dev/api/stock/customs-tariff-number/customs-tariff-number_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "customs-tariff-number_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "tariff_number": "tariff_number_example",
  "description": "description_example"
}
GET /api/stock/customs-tariff-number

List all customs tariff numbers

Returns a list of customs tariff numbers. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of customs tariff number objects.

GET /api/stock/customs-tariff-number
curl https://api.overplane.dev/api/stock/customs-tariff-number \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "customs-tariff-number_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "tariff_number": "tariff_number_example",
      "description": "description_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/stock/customs-tariff-number

Create a customs tariff number

Creates a new customs tariff number object.

Body parameters

tariff_number string required
description string

Returns

Returns the newly created customs tariff number object if the call succeeded.

POST /api/stock/customs-tariff-number
curl https://api.overplane.dev/api/stock/customs-tariff-number \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"tariff_number":"tariff_number_example"}'
Response
{
  "id": "customs-tariff-number_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "tariff_number": "tariff_number_example",
  "description": "description_example"
}
PATCH /api/stock/customs-tariff-number/{id}

Update a customs tariff number

Updates the specified customs tariff number by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the customs tariff number to update.

Body parameters

tariff_number string
description string

Returns

Returns the updated customs tariff number object.

PATCH /api/stock/customs-tariff-number/{id}
curl https://api.overplane.dev/api/stock/customs-tariff-number/customs-tariff-number_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"tariff_number":"tariff_number_example","description":"description_example"}'
Response
{
  "id": "customs-tariff-number_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "tariff_number": "tariff_number_example",
  "description": "description_example"
}
DELETE /api/stock/customs-tariff-number/{id}

Delete a customs tariff number

Permanently deletes a customs tariff number. This cannot be undone.

Path parameters

id string required

The identifier of the customs tariff number to delete.

Returns

Returns a confirmation that the customs tariff number has been deleted.

DELETE /api/stock/customs-tariff-number/{id}
curl https://api.overplane.dev/api/stock/customs-tariff-number/customs-tariff-number_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "customs-tariff-number_abc123",
  "deleted": true
}